% $Id: lookup_tests.erl,v 1.2 2013/12/05 13:24:32 leavens Exp leavens $
-module(lookup_tests).
-import(lookup,[lookup/2]).
-import(testing,[dotests/2,eqTest/3]).
-export([main/0]).
main() -> dotests("lookup_tests $Revision: 1.2 $", tests()).
tests() ->
    StatePopulations = [{cal,38},{tex,26},{ny,20},{fla,19},{ill,13},{penn, 13},{ohio,12}],
    LetterNums = [{a,2},{a,3},{a,0},{b,5},{b,2},{c,3},{a,6}],
    [eqTest(lookup([], 3),"==",[]),
     eqTest(lookup([{3,2}], 3),"==",[2]),
     eqTest(lookup([{4,5},{3,2}], 3),"==",[2]),
     eqTest(lookup([{3,4},{4,5},{3,2}], 3),"==",[4,2]),
     eqTest(lookup(StatePopulations, fla),"==",[19]),
     eqTest(lookup(StatePopulations, mich),"==",[]),
     eqTest(lookup(StatePopulations, cal),"==",[38]),
     eqTest(lookup(StatePopulations, cal),"==",[38]),
     eqTest(lookup(LetterNums, a),"==",[2,3,0,6]),
     eqTest(lookup(LetterNums, b),"==",[5,2])].
